/**
 * プロジェクト名 laxCRUDService
 * クラス名 ChartManager.java
 * 作成日: 2007/10/02
 * 
 */
package jp.co.lax.sample.service;


public class ChartManager {

	public String getLineChartData() {
		ChartDataMapUtil util = new ChartDataMapUtil();
		util.setChartDataMap("January",
				"[[0, 20], [1, 20], [2, 14.14], [3, 23]]");
		util.setChartDataMap("February",
				"[[0, 14], [1, 26.7], [2, 13.4], [3, 12]]");
		util
				.setChartDataMap("March",
						"[[0, 4.6], [1, 14.5], [2, 10], [3, 16]]");
		util.setChartDataMap("April", "[[0, 3], [1, 8.3], [2, 7], [3, 2]]");
		return util.generateJsonData();
	}
	
	public String getBarChartData() {
		ChartDataMapUtil util = new ChartDataMapUtil();
		util.setChartDataMap("January",
				"[[0, 20], [1, 20], [2, 14.14], [3, 23]]");
		util.setChartDataMap("February",
				"[[0, 14], [1, 26.7], [2, 13.4], [3, 12]]");
		util
				.setChartDataMap("March",
						"[[0, 4.6], [1, 14.5], [2, 10], [3, 16]]");
		util.setChartDataMap("April", "[[0, 3], [1, 8.3], [2, 7], [3, 2]]");
		return util.generateJsonData();
	}
	
	public String getPieChartData() {
		ChartDataMapUtil util = new ChartDataMapUtil();
		util.setChartDataMap("January",
				"[[0, 20], [1, 20], [2, 14.14], [3, 23]]");
		util.setChartDataMap("February",
				"[[0, 14], [1, 26.7], [2, 13.4], [3, 12]]");
		util
				.setChartDataMap("March",
						"[[0, 4.6], [1, 14.5], [2, 10], [3, 16]]");
		util.setChartDataMap("April", "[[0, 3], [1, 8.3], [2, 7], [3, 2]]");
		return util.generateJsonData();
	}
}
